summaryrefslogtreecommitdiff
path: root/scripts
diff options
context:
space:
mode:
authorTitanSnow <[email protected]>2017-04-22 20:56:56 +0800
committerTitanSnow <[email protected]>2017-04-22 20:56:56 +0800
commita68a5792d849973e12ff56c95859dcc41cacbde6 (patch)
treebbf2acdedc1493f374d91bc6fde7c400171862de /scripts
parent99700032b21342f48407d504def8a4e6406a0067 (diff)
check if can make file in selecting path
Diffstat (limited to 'scripts')
-rwxr-xr-xscripts/get.sh5
1 files changed, 4 insertions, 1 deletions
diff --git a/scripts/get.sh b/scripts/get.sh
index c83e9a9bd..df8507a34 100755
--- a/scripts/get.sh
+++ b/scripts/get.sh
@@ -48,7 +48,10 @@ do
then
cwd=$(pwd)
mkdir -p "$st"
- cd "$st"/..
+ cd "$st"
+ echo $$ > $$xmake_getter_test 2>/dev/null || continue
+ rm $$xmake_getter_test 2>/dev/null || continue
+ cd ..
mkdir -p share 2>/dev/null || continue
prefix=$(pwd)
cd "$cwd"